<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.activity.mapper.ActivityGradePrivilegeCouresMapper">

    <resultMap type="com.zhongzheng.modules.activity.domain.ActivityGradePrivilegeCoures" id="ActivityGradePrivilegeCouresResult">
        <result property="privilegeId" column="privilege_id"/>
        <result property="courseId" column="course_id"/>
    </resultMap>

    <insert id="insertCouse" parameterType="map" >
        insert into activity_grade_privilege_coures (
            privilege_id,
            course_id,
            status
        )values(
                   #{privilegeId},
                   #{courseId},
                   #{status}
               )
    </insert>
</mapper>